org.jboss.resteasy.skeleton.key.idm.model.data

## Class RoleMapping

- java.lang.Object
- - org.jboss.resteasy.skeleton.key.idm.model.data.RoleMapping

- All Implemented Interfaces:
    Serializable

      public class RoleMapping
      extends Object
      implements Serializable

  Version:
    $Revision: 1 $
  Author:
    Bill Burke
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `id`
    `protected Set<String>` | `roles`
    `protected Set<String>` | `surrogateIds`
    `protected String` | `userid`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RoleMapping()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getId()`
    `Set<String>` | `getRoles()`
    `Set<String>` | `getSurrogateIds()`
    `String` | `getUserid()`
    `void` | `setId(String id)`
    `void` | `setRoles(Set<String> roles)`
    `void` | `setSurrogateIds(Set<String> surrogateIds)`
    `void` | `setUserid(String userid)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          protected String id

    - #### userid

          protected String userid

    - #### roles

          protected Set<String> roles

    - #### surrogateIds

          protected Set<String> surrogateIds

  - ### Constructor Detail

    - #### RoleMapping

          public RoleMapping()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getUserid

          public String getUserid()

    - #### setUserid

          public void setUserid(String userid)

    - #### getRoles

          public Set<String> getRoles()

    - #### setRoles

          public void setRoles(Set<String> roles)

    - #### getSurrogateIds

          public Set<String> getSurrogateIds()

    - #### setSurrogateIds

          public void setSurrogateIds(Set<String> surrogateIds)

Copyright © 2014. All Rights Reserved.